Skip to main content
`Ctrl`+`K`

# DMGetCoordinatesLocal

Gets a local vector with the coordinates associated with the `DM`.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinatesLocal(DM dm, Vec *c)

Collective the first time it is called

## Input Parameter

- dm - the `DM`

## Output Parameter

- c - coordinate vector

## Notes

This is a borrowed reference, so the user should NOT destroy `c`

Each process has the local and ghost coordinates

For `DMDA`, in two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,…) and (x_0,y_0,z_0,x_1,y_1,z_1…)

## See Also

`DM`, `DMSetCoordinatesLocal()`, `DMGetCoordinates()`, `DMSetCoordinates()`, `DMGetCoordinateDM()`, `DMGetCoordinatesLocalNoncollective()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/dm/impls/plex/tutorials/ex11.c
src/dm/impls/stag/tutorials/ex3.c
src/ksp/ksp/tutorials/ex49.c
src/dm/impls/plex/tutorials/ex8.c
src/dm/tutorials/ex3.c
src/dm/tutorials/ex13f90.F90
src/ksp/ksp/tutorials/ex71.c
src/dm/impls/stag/tutorials/ex1.c
src/ksp/ksp/tutorials/ex69.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages